org.apache.pdfbox.pdmodel.common.function.type4

## Class Parser.AbstractSyntaxHandler

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.function.type4.Parser.AbstractSyntaxHandler

All Implemented Interfaces:
  Parser.SyntaxHandler

Direct Known Subclasses:
  InstructionSequenceBuilder

Enclosing class:
  Parser

    public abstract static class Parser.AbstractSyntaxHandler
    extends Object
    implements Parser.SyntaxHandler

Abstract base class for a `Parser.SyntaxHandler`.

### Constructor Summary

Constructors
Constructor and Description
`AbstractSyntaxHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `comment(CharSequence text)` Called for a comment.
`void` `newLine(CharSequence text)` Indicates that a new line starts.
`void` `whitespace(CharSequence text)` Called when whitespace characters are encountered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.common.function.type4.Parser.SyntaxHandler

`token`

### Constructor Detail

#### AbstractSyntaxHandler

    public AbstractSyntaxHandler()

### Method Detail

#### comment

    public void comment(CharSequence text)

Called for a comment.

Specified by:
  `comment` in interface `Parser.SyntaxHandler`
Parameters:
  `text` - the comment

#### newLine

    public void newLine(CharSequence text)

Indicates that a new line starts.

Specified by:
  `newLine` in interface `Parser.SyntaxHandler`
Parameters:
  `text` - the new line character (CR, LF, CR/LF or FF)

#### whitespace

    public void whitespace(CharSequence text)

Called when whitespace characters are encountered.

Specified by:
  `whitespace` in interface `Parser.SyntaxHandler`
Parameters:
  `text` - the whitespace text